shm_detach
shm_has_var
Semaphore Functions
PHP Manual

# shm_get_var

Returns a variable from shared memory

### Description

mixed shm_get_var ( resource `$shm_identifier` , int `$variable_key` )

shm_get_var returns the variable with a given `variable_key`, in the given shared memory segment. The variable is still present in the shared memory.

### Parameters

`shm_identifier`

  Shared memory segment, obtained from shm_attach.

`variable_key`

  The variable key.

### Return Values

Returns the variable with the given key.

### See Also

- shm_has_var
- shm_put_var